! serail code to demo data-sharing later
program sharing_seq

  implicit none
  integer, parameter :: N = 50000000
  integer(selected_int_kind(17)) :: x(N)
  integer(selected_int_kind(17)) :: total
  integer :: i

  do i = 1, N
     x(i) = i
  end do
  total = 0
  do i = 1, N
     total = total + x(i)
  end do
  write(*,*) "total = ", total
end program
